--- old/usr/src/test/zfs-tests/tests/functional/clean_mirror/clean_mirror_common.kshlib	Wed Aug 31 16:20:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/clean_mirror/clean_mirror_common.kshlib	Wed Aug 31 16:20:29 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/clean_mirror/default.cfg
@@ -45,20 +45,20 @@
 {
 	typeset pool=$1
 
-	log_must $SYNC
-	log_must $SLEEP 2
+	log_must sync
+	log_must sleep 2
 	# Flush all the pool data.
 	typeset -i ret
-	$ZPOOL scrub $pool >/dev/null 2>&1
+	zpool scrub $pool >/dev/null 2>&1
 	ret=$?
 	(( $ret != 0 )) && \
-		log_fail "$ZPOOL scrub $pool failed."
+		log_fail "zpool scrub $pool failed."
 
 	while ! is_pool_scrubbed $pool; do
 		if is_pool_resilvered $pool ; then
 			log_fail "$pool should not be resilver completed."
 		fi
-		log_must $SLEEP 2
+		log_must sleep 2
 	done
 }
 
@@ -74,14 +74,14 @@
 
 	while (( atfile < FILE_COUNT )); do
 		files[$atfile]=$TESTDIR/file.$atfile
-		log_must $FILE_WRITE -o create -f $TESTDIR/file.$atfile \
+		log_must file_write -o create -f $TESTDIR/file.$atfile \
 			-b $FILE_SIZE -c 1
-		cksums[$atfile]=$($CKSUM ${files[$atfile]})
+		cksums[$atfile]=$(cksum ${files[$atfile]})
 		(( atfile = atfile + 1 ))
 	done
 
 	# dd the primary side of the mirror
-	log_must $DD if=$OVERWRITING_DEVICE of=/dev/dsk/$AFFECTED_DEVICE \
+	log_must dd if=$OVERWRITING_DEVICE of=/dev/dsk/$AFFECTED_DEVICE \
 		seek=8 bs=$DD_BLOCK count=$(( DD_COUNT - 8 )) conv=notrunc
 
 	atfile=0
@@ -89,17 +89,17 @@
 	#
 	# Flush out the cache so that we ensure we're reading from disk.
 	#
-	log_must $ZPOOL export $TESTPOOL
-	log_must $ZPOOL import $TESTPOOL
+	log_must zpool export $TESTPOOL
+	log_must zpool import $TESTPOOL
 
 	typeset -i failedcount=0
 	while (( atfile < FILE_COUNT )); do
 		files[$atfile]=$TESTDIR/file.$atfile
-		newcksum=$($CKSUM ${files[$atfile]})
+		newcksum=$(cksum ${files[$atfile]})
 		if [[ $newcksum != ${cksums[$atfile]} ]]; then
 			(( failedcount = failedcount + 1 ))
 		fi
-		$RM -f ${files[$atfile]}
+		rm -f ${files[$atfile]}
 		(( atfile = atfile + 1 ))
 	done
 
--- old/usr/src/test/zfs-tests/tests/functional/clean_mirror/cleanup.ksh	Wed Aug 31 16:20:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/clean_mirror/cleanup.ksh	Wed Aug 31 16:20:29 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/clean_mirror/default.cfg
@@ -34,8 +34,8 @@
 
 verify_runnable "global"
 
-$DF -F zfs -h | $GREP "$TESTFS " >/dev/null
-[[ $? == 0 ]] && log_must $ZFS umount -f $TESTDIR
+df -F zfs -h | grep "$TESTFS " >/dev/null
+[[ $? == 0 ]] && log_must zfs umount -f $TESTDIR
 destroy_pool $TESTPOOL
 
 # recreate and destroy a zpool over the disks to restore the partitions to
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/cli_common.kshlib	Wed Aug 31 16:20:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/cli_common.kshlib	Wed Aug 31 16:20:29 2016
@@ -24,6 +24,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -31,7 +35,7 @@
 #
 function get_cksum # <file path>
 {
-	return $($CKSUM $1 | $AWK '{print $1 $2}')
+	return $(cksum $1 | awk '{print $1 $2}')
 }
 
 #
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zdb/zdb_001_neg.ksh	Wed Aug 31 16:20:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zdb/zdb_001_neg.ksh	Wed Aug 31 16:20:29 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -65,7 +65,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZDB ${args[i]}
+	log_mustnot zdb ${args[i]}
 
 	((i = i + 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs/zfs_001_neg.ksh	Wed Aug 31 16:20:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs/zfs_001_neg.ksh	Wed Aug 31 16:20:29 2016
@@ -24,6 +24,11 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -65,7 +70,7 @@
 
 typeset -i i=0
 while (( $i < ${#args[*]} )); do
-	log_mustnot $ZFS ${args[i]}
+	log_mustnot zfs ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs/zfs_002_pos.ksh	Wed Aug 31 16:20:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs/zfs_002_pos.ksh	Wed Aug 31 16:20:29 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,11 +49,11 @@
 	unset ZFS_ABORT
 
 	if [[ -d $corepath ]]; then
-		$RM -rf $corepath
+		rm -rf $corepath
 	fi
 	for ds in $fs1 $fs $ctr; do
 		if datasetexists $ds; then
-			log_must $ZFS destroy -rRf $ds
+			log_must zfs destroy -rRf $ds
 		fi
 	done
 }
@@ -65,12 +65,12 @@
 #preparation work for testing
 corepath=$TESTDIR/core
 if [[ -d $corepath ]]; then
-	$RM -rf $corepath
+	rm -rf $corepath
 fi
-log_must $MKDIR $corepath
+log_must mkdir $corepath
 
 ctr=$TESTPOOL/$TESTCTR
-log_must $ZFS create $ctr
+log_must zfs create $ctr
 
 fs=$ctr/$TESTFS
 fs1=$ctr/$TESTFS1
@@ -89,17 +89,17 @@
     "promote" "rename" "list -*" "set" "get -*" "inherit" "mount -A" \
     "unmount" "share" "unshare" "send" "receive")
 
-log_must $COREADM -p ${corepath}/core.%f
+log_must coreadm -p ${corepath}/core.%f
 log_must export ZFS_ABORT=yes
 
 for subcmd in "${cmds[@]}" "${badparams[@]}"; do
-	$ZFS $subcmd >/dev/null 2>&1 && log_fail "$subcmd passed incorrectly."
+	zfs $subcmd >/dev/null 2>&1 && log_fail "$subcmd passed incorrectly."
 	corefile=${corepath}/core.zfs
 	if [[ ! -e $corefile ]]; then
-		log_fail "$ZFS $subcmd cannot generate core file with " \
+		log_fail "zfs $subcmd cannot generate core file with " \
 		    "ZFS_ABORT set."
 	fi
-	log_must $RM -f $corefile
+	log_must rm -f $corefile
 done
 
 log_pass "With ZFS_ABORT set, zfs command can abort and generate core file " \
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs/zfs_003_neg.ksh	Wed Aug 31 16:20:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs/zfs_003_neg.ksh	Wed Aug 31 16:20:30 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -48,12 +53,12 @@
 
 for file in $ZFS_DEV $MNTTAB; do
 	if [[ -e $file ]]; then
-		$MV $file ${file}.bak
+		mv $file ${file}.bak
 	fi
 	for cmd in "" "list" "get all" "mount"; do
-		log_mustnot eval "$ZFS $cmd >/dev/null 2>&1"
+		log_mustnot eval "zfs $cmd >/dev/null 2>&1"
 	done
-	$MV ${file}.bak $file
+	mv ${file}.bak $file
 done
 
 log_pass "zfs fails with unexpected scenarios as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_001_neg.ksh	Wed Aug 31 16:20:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_001_neg.ksh	Wed Aug 31 16:20:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -90,7 +90,7 @@
 
 	for snap in $SNAPFS $SNAPFS1 ; do
 		if ! snapexists $snap ; then
-			log_must $ZFS snapshot $snap
+			log_must zfs snapshot $snap
 		fi
 	done
 
@@ -100,11 +100,11 @@
 function cleanup_all
 {
 	for fs in $targets; do
-		datasetexists $fs && log_must $ZFS destroy -f $fs
+		datasetexists $fs && log_must zfs destroy -f $fs
 	done
 
 	for snap in $SNAPFS $SNAPFS1 ; do
-		snapexists $snap && log_must $ZFS destroy -Rf $snap
+		snapexists $snap && log_must zfs destroy -Rf $snap
 	done
 
 	return 0
@@ -118,7 +118,7 @@
 
 typeset -i i=0
 while (( i < ${#args[*]} )); do
-	log_mustnot $ZFS clone ${args[i]}
+	log_mustnot zfs clone ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_002_pos.ksh	Wed Aug 31 16:20:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_002_pos.ksh	Wed Aug 31 16:20:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 
 	for snap in $SNAPFS $SNAPFS1 ; do
 		if ! snapexists $snap ; then
-			log_must $ZFS snapshot $snap
+			log_must zfs snapshot $snap
 		fi
 	done
 
@@ -61,12 +61,12 @@
 {
 
 	if datasetexists $TESTPOOL/notexist ; then
-		log_must $ZFS destroy -rRf $TESTPOOL/notexist
+		log_must zfs destroy -rRf $TESTPOOL/notexist
 	fi
 
 	for snap in $SNAPFS $SNAPFS1 ; do
 		if snapexists $snap ; then
-			log_must $ZFS destroy -Rf $snap
+			log_must zfs destroy -Rf $snap
 		fi
 	done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_003_pos.ksh	Wed Aug 31 16:20:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_003_pos.ksh	Wed Aug 31 16:20:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,7 +49,7 @@
 function cleanup
 {
 	if snapexists $SNAPFS ; then
-		log_must $ZFS destroy -Rf $SNAPFS
+		log_must zfs destroy -Rf $SNAPFS
 	fi
 }
 
@@ -59,16 +59,16 @@
 log_assert "'zfs clone -o property=value filesystem' can successfully create" \
 	   "a ZFS clone filesystem with correct property set."
 
-log_must $ZFS snapshot $SNAPFS
+log_must zfs snapshot $SNAPFS
 
 typeset -i i=0
 while (( $i < ${#RW_FS_PROP[*]} )); do
-	log_must $ZFS clone -o ${RW_FS_PROP[$i]} $SNAPFS $TESTPOOL/$TESTCLONE
+	log_must zfs clone -o ${RW_FS_PROP[$i]} $SNAPFS $TESTPOOL/$TESTCLONE
 	datasetexists $TESTPOOL/$TESTCLONE || \
 		log_fail "zfs clone $TESTPOOL/$TESTCLONE fail."
 	propertycheck $TESTPOOL/$TESTCLONE ${RW_FS_PROP[i]} || \
 		log_fail "${RW_FS_PROP[i]} is failed to set."
-	log_must $ZFS destroy -f $TESTPOOL/$TESTCLONE
+	log_must zfs destroy -f $TESTPOOL/$TESTCLONE
 	(( i = i + 1 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_004_pos.ksh	Wed Aug 31 16:20:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_004_pos.ksh	Wed Aug 31 16:20:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,7 +49,7 @@
 function cleanup
 {
 	if snapexists $SNAPFS ; then
-		log_must $ZFS destroy -Rf $SNAPFS
+		log_must zfs destroy -Rf $SNAPFS
 	fi
 }
 
@@ -61,7 +61,7 @@
 typeset -i i=0
 typeset opts=""
 
-log_must $ZFS snapshot $SNAPFS
+log_must zfs snapshot $SNAPFS
 
 while (( $i < ${#RW_FS_PROP[*]} )); do
         if [[ ${RW_FS_PROP[$i]} != *"checksum"* ]]; then
@@ -70,7 +70,7 @@
 	(( i = i + 1 ))
 done
 
-log_must $ZFS clone $opts $SNAPFS $TESTPOOL/$TESTCLONE
+log_must zfs clone $opts $SNAPFS $TESTPOOL/$TESTCLONE
 datasetexists $TESTPOOL/$TESTCLONE || \
 	log_fail "zfs create $TESTPOOL/$TESTCLONE fail."
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_005_pos.ksh	Wed Aug 31 16:20:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_005_pos.ksh	Wed Aug 31 16:20:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,7 +49,7 @@
 function cleanup
 {
 	if snapexists $SNAPFS1 ; then
-		log_must $ZFS destroy -Rf $SNAPFS1
+		log_must zfs destroy -Rf $SNAPFS1
 	fi
 }
 
@@ -58,15 +58,15 @@
 log_assert "'zfs clone -o property=value -V size volume' can successfully" \
 	   "create a ZFS clone volume with correct property set."
 
-log_must $ZFS snapshot $SNAPFS1
+log_must zfs snapshot $SNAPFS1
 typeset -i i=0
 while (( $i < ${#RW_VOL_CLONE_PROP[*]} )); do
-	log_must $ZFS clone -o ${RW_VOL_CLONE_PROP[$i]} $SNAPFS1 $TESTPOOL/$TESTCLONE
+	log_must zfs clone -o ${RW_VOL_CLONE_PROP[$i]} $SNAPFS1 $TESTPOOL/$TESTCLONE
 	datasetexists $TESTPOOL/$TESTCLONE || \
 		log_fail "zfs clone $TESTPOOL/$TESTCLONE fail."
 	propertycheck $TESTPOOL/$TESTCLONE ${RW_VOL_CLONE_PROP[i]} || \
 		log_fail "${RW_VOL_CLONE_PROP[i]} is failed to set."
-	log_must $ZFS destroy -f $TESTPOOL/$TESTCLONE
+	log_must zfs destroy -f $TESTPOOL/$TESTCLONE
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_006_pos.ksh	Wed Aug 31 16:20:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_006_pos.ksh	Wed Aug 31 16:20:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 
@@ -50,7 +50,7 @@
 function cleanup
 {
 	if snapexists $SNAPFS1 ; then
-		log_must $ZFS destroy -Rf $SNAPFS1
+		log_must zfs destroy -Rf $SNAPFS1
 	fi
 }
 
@@ -62,7 +62,7 @@
 typeset -i i=0
 typeset opts=""
 
-log_must $ZFS snapshot $SNAPFS1
+log_must zfs snapshot $SNAPFS1
 
 while (( $i < ${#RW_VOL_CLONE_PROP[*]} )); do
 	if [[ ${RW_VOL_CLONE_PROP[$i]} != *"checksum"* ]]; then
@@ -71,7 +71,7 @@
 	(( i = i + 1 ))
 done
 
-log_must $ZFS clone $opts $SNAPFS1 $TESTPOOL/$TESTCLONE
+log_must zfs clone $opts $SNAPFS1 $TESTPOOL/$TESTCLONE
 
 i=0
 while (( $i < ${#RW_VOL_CLONE_PROP[*]} )); do
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_007_pos.ksh	Wed Aug 31 16:20:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_007_pos.ksh	Wed Aug 31 16:20:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -40,8 +40,8 @@
 # 2. Verify it succeed while upgrade, but fails while the version downgraded.
 #
 
-ZFS_VERSION=$($ZFS upgrade | $HEAD -1 | $AWK '{print $NF}' \
-	| $SED -e 's/\.//g')
+ZFS_VERSION=$(zfs upgrade | head -1 | awk '{print $NF}' \
+	| sed -e 's/\.//g')
 
 verify_runnable "both"
 
@@ -48,7 +48,7 @@
 function cleanup
 {
 	if snapexists $SNAPFS ; then
-			log_must $ZFS destroy -Rf $SNAPFS
+			log_must zfs destroy -Rf $SNAPFS
 	fi
 }
 
@@ -57,7 +57,7 @@
 log_assert "'zfs clone -o version=' could upgrade version," \
 	"but downgrade is denied."
 
-log_must $ZFS snapshot $SNAPFS
+log_must zfs snapshot $SNAPFS
 
 typeset -i ver
 
@@ -67,7 +67,7 @@
 
 (( ver = ZFS_TEST_VERSION ))
 while (( ver <= ZFS_VERSION )); do
-	log_must $ZFS clone -o version=$ver $SNAPFS $TESTPOOL/$TESTCLONE
+	log_must zfs clone -o version=$ver $SNAPFS $TESTPOOL/$TESTCLONE
 	cleanup
 	(( ver = ver + 1 ))
 done
@@ -74,7 +74,7 @@
 
 (( ver = 0 ))
 while (( ver < ZFS_TEST_VERSION  )); do
-	log_mustnot $ZFS clone -o version=$ver \
+	log_mustnot zfs clone -o version=$ver \
 		$SNAPFS $TESTPOOL/$TESTCLONE
 	log_mustnot datasetexists $TESTPOOL/$TESTCLONE
 	cleanup
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_008_neg.ksh	Wed Aug 31 16:20:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_008_neg.ksh	Wed Aug 31 16:20:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,7 +49,7 @@
 function cleanup
 {
 	if snapexists $SNAPFS ; then
-		log_must $ZFS destroy -Rf $SNAPFS
+		log_must zfs destroy -Rf $SNAPFS
 	fi
 }
 
@@ -57,13 +57,13 @@
 
 log_assert "Verify 'zfs clone -o <filesystem>' fails with bad <filesystem> argument."
 
-log_must $ZFS snapshot $SNAPFS
+log_must zfs snapshot $SNAPFS
 
 typeset -i i=0
 while (( $i < ${#RW_FS_PROP[*]} )); do
-	log_mustnot $ZFS clone -o ${RW_FS_PROP[i]} -o ${RW_FS_PROP[i]} \
+	log_mustnot zfs clone -o ${RW_FS_PROP[i]} -o ${RW_FS_PROP[i]} \
 		$SNAPFS $TESTPOOL/$TESTCLONE
-	log_mustnot $ZFS clone -p -o ${RW_FS_PROP[i]} -o ${RW_FS_PROP[i]} \
+	log_mustnot zfs clone -p -o ${RW_FS_PROP[i]} -o ${RW_FS_PROP[i]} \
 		$SNAPFS $TESTPOOL/$TESTCLONE
 	((i = i + 1))
 done
@@ -70,9 +70,9 @@
 
 i=0
 while (( $i < ${#VOL_ONLY_PROP[*]} )); do
-	log_mustnot $ZFS clone -o ${VOL_ONLY_PROP[i]} \
+	log_mustnot zfs clone -o ${VOL_ONLY_PROP[i]} \
 		$SNAPFS $TESTPOOL/$TESTCLONE
-	log_mustnot $ZFS clone -p -o ${VOL_ONLY_PROP[i]} \
+	log_mustnot zfs clone -p -o ${VOL_ONLY_PROP[i]} \
 		$SNAPFS $TESTPOOL/$TESTCLONE
 	((i = i + 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_009_neg.ksh	Wed Aug 31 16:20:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_009_neg.ksh	Wed Aug 31 16:20:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,7 +49,7 @@
 function cleanup
 {
 	if snapexists $SNAPFS1 ; then
-		log_must $ZFS destroy -Rf $SNAPFS1
+		log_must zfs destroy -Rf $SNAPFS1
 	fi
 }
 
@@ -57,13 +57,13 @@
 
 log_assert "Verify 'zfs clone -o <volume>' fails with bad <volume> argument."
 
-log_must $ZFS snapshot $SNAPFS1
+log_must zfs snapshot $SNAPFS1
 
 typeset -i i=0
 while (( $i < ${#RW_VOL_PROP[*]} )); do
-	log_mustnot $ZFS clone -o ${RW_VOL_PROP[i]} -o ${RW_VOL_PROP[i]} \
+	log_mustnot zfs clone -o ${RW_VOL_PROP[i]} -o ${RW_VOL_PROP[i]} \
 		$SNAPFS1 $TESTPOOL/$TESTCLONE
-	log_mustnot $ZFS clone -p -o ${RW_VOL_PROP[i]} -o ${RW_VOL_PROP[i]} \
+	log_mustnot zfs clone -p -o ${RW_VOL_PROP[i]} -o ${RW_VOL_PROP[i]} \
 		$SNAPFS1 $TESTPOOL/$TESTCLONE
 	((i = i + 1))
 done
@@ -70,9 +70,9 @@
 
 i=0
 while (( $i < ${#FS_ONLY_PROP[*]} )); do
-	log_mustnot $ZFS clone  -o ${FS_ONLY_PROP[i]} \
+	log_mustnot zfs clone  -o ${FS_ONLY_PROP[i]} \
 		$SNAPFS1 $TESTPOOL/$TESTCLONE
-	log_mustnot $ZFS clone -p -o ${FS_ONLY_PROP[i]} \
+	log_mustnot zfs clone -p -o ${FS_ONLY_PROP[i]} \
 		$SNAPFS1 $TESTPOOL/$TESTCLONE
 	((i = i + 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_010_pos.ksh	Wed Aug 31 16:20:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_clone/zfs_clone_010_pos.ksh	Wed Aug 31 16:20:30 2016
@@ -15,7 +15,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -39,8 +39,8 @@
 	typeset -i i=1
 	for ds in $datasets; do
                 datasetexists $ds/$TESTCLONE.$i && \
-		    log_must $ZFS destroy -rf $ds/$TESTCLONE.$i
-                datasetexists $ds && log_must $ZFS destroy -Rf $ds
+		    log_must zfs destroy -rf $ds/$TESTCLONE.$i
+                datasetexists $ds && log_must zfs destroy -Rf $ds
 		((i=i+1))
 	done
 }
@@ -50,7 +50,7 @@
 {
 	typeset -i i=1
 	# create nested datasets
-	log_must $ZFS create -p $TESTPOOL/$TESTFS1/$TESTFS2/$TESTFS3
+	log_must zfs create -p $TESTPOOL/$TESTFS1/$TESTFS2/$TESTFS3
 
 	# verify dataset creation
 	for ds in $datasets; do
@@ -58,7 +58,7 @@
 	done
 
 	# create recursive nested snapshot
-	log_must $ZFS snapshot -r $TESTPOOL/$TESTFS1@snap
+	log_must zfs snapshot -r $TESTPOOL/$TESTFS1@snap
 	for ds in $datasets; do
 		datasetexists $ds@snap || \
 		    log_fail "Create $ds@snap snapshot fail."
@@ -65,7 +65,7 @@
 	done
 	for ds in $datasets; do
 		for fs in $datasets; do
-			log_must $ZFS clone $ds@snap $fs/$TESTCLONE.$i
+			log_must zfs clone $ds@snap $fs/$TESTCLONE.$i
 		done
 		((i=i+1))
 	done
@@ -82,8 +82,8 @@
 		if [[ -n $clone_snap ]]; then
 			clone_snap=/$TESTCLONE.$i
 		fi
-		snapshot=$($ECHO "$names" | $GREP $ds$clone_snap@snap)
-		actual_clone=$($ZFS list -t all -o clones $snapshot | $TAIL -1)
+		snapshot=$(echo "$names" | grep $ds$clone_snap@snap)
+		actual_clone=$(zfs list -t all -o clones $snapshot | tail -1)
 		save=$IFS
 		IFS=','
 		typeset -a clones=()
@@ -147,16 +147,16 @@
 log_must setup_ds
 
 log_note "Verify zfs clone propery for multiple clones"
-names=$($ZFS list -rt all -o name $TESTPOOL)
+names=$(zfs list -rt all -o name $TESTPOOL)
 log_must verify_clones 3 0
 
 log_note "verfify clone property for clone deletion"
 i=1
 for ds in $datasets; do
-	log_must $ZFS destroy $ds/$TESTCLONE.$i
+	log_must zfs destroy $ds/$TESTCLONE.$i
 	((i=i+1))
 done
-names=$($ZFS list -rt all -o name $TESTPOOL)
+names=$(zfs list -rt all -o name $TESTPOOL)
 i=1
 log_must verify_clones 2 1
 
@@ -165,9 +165,9 @@
 
 log_note "verify zfs deferred destroy on clones property"
 i=1
-names=$($ZFS list -rt all -o name $TESTPOOL)
+names=$(zfs list -rt all -o name $TESTPOOL)
 for ds in $datasets; do
-	log_must $ZFS destroy -d $ds@snap
+	log_must zfs destroy -d $ds@snap
 	deferred_snaps=( "${deferred_snaps[@]}" "$ds@snap" )
 	((i=i+1))
 done
@@ -178,20 +178,20 @@
 i=1
 for ds in $datasets; do
 	for fs in $datasets; do
-		log_must $ZFS destroy $fs/$TESTCLONE.$i
+		log_must zfs destroy $fs/$TESTCLONE.$i
 		d_clones=( "${d_clones[@]}" "$fs/$TESTCLONE.$i" )
 	done
 	((i=i+1))
 done
-names=$($ZFS list -rtall -o name $TESTPOOL)
+names=$(zfs list -rtall -o name $TESTPOOL)
 for snap in ${deferred_snaps[@]}; do
-	status=$($ECHO "$names" | $GREP $snap)
+	status=$(echo "$names" | grep $snap)
 	[[ -z $status ]] || \
 	    log_fail "$snap exist after deferred destroy"
 done
 for dclone in ${d_clones[@]}; do
 	log_note "D CLONE = $dclone"
-	status=$($ECHO "$names" | $GREP $dclone)
+	status=$(echo "$names" | grep $dclone)
 	[[ -z $status ]] || \
 	    log_fail "$dclone exist after deferred destroy"
 done
@@ -201,14 +201,14 @@
 log_note "verify clone property for zfs promote"
 i=1
 for ds in $datasets; do
-	log_must $ZFS promote $ds/$TESTCLONE.$i
+	log_must zfs promote $ds/$TESTCLONE.$i
 	((i=i+1))
 done
-names=$($ZFS list -rt all -o name,clones $TESTPOOL)
+names=$(zfs list -rt all -o name,clones $TESTPOOL)
 log_must verify_clones 3 1 $TESTCLONE
 i=1
 for ds in $datasets; do
-	log_must $ZFS promote $ds
+	log_must zfs promote $ds
 	((i=i+1))
 done
 log_must local_cleanup
@@ -217,15 +217,15 @@
 typeset -i j=200
 i=1
 fs=$TESTPOOL/$TESTFS1
-log_must $ZFS create $fs
-log_must $ZFS snapshot $fs@snap
+log_must zfs create $fs
+log_must zfs snapshot $fs@snap
 while((i < 7)); do
-	log_must $ZFS clone $fs@snap $fs/$TESTCLONE$(python -c 'print "x" * 200').$i
+	log_must zfs clone $fs@snap $fs/$TESTCLONE$(python -c 'print "x" * 200').$i
 	((i=i+1))
 	((j=j+200))
 done
-clone_list=$($ZFS list -o clones $fs@snap)
-char_count=$($ECHO "$clone_list" | $TAIL -1 | wc | $AWK '{print $3}')
+clone_list=$(zfs list -o clones $fs@snap)
+char_count=$(echo "$clone_list" | tail -1 | wc | awk '{print $3}')
 [[ $char_count -eq 1024 ]] || \
     log_fail "Clone list not truncated correctly. Unexpected character count" \
         "$char_count"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/cleanup.ksh	Wed Aug 31 16:20:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/cleanup.ksh	Wed Aug 31 16:20:31 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_copies/zfs_copies.kshlib
@@ -37,8 +37,8 @@
 #
 
 if ismounted $UFS_MNTPOINT ufs ; then
-	log_must $UMOUNT -f $UFS_MNTPOINT
-	$RM -fr $UFS_MNTPOINT
+	log_must umount -f $UFS_MNTPOINT
+	rm -fr $UFS_MNTPOINT
 fi
 
 default_cleanup
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies.kshlib	Wed Aug 31 16:20:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies.kshlib	Wed Aug 31 16:20:31 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,12 +58,12 @@
 	typeset ds=$1
 	typeset used
 
-	used=`$ZFS list -H -o used $ds`
+	used=`zfs list -H -o used $ds`
 	used=${used%[m|M]}
 	if [[ $used == *K ]]; then
 		used=0
 	fi
-	$ECHO $used
+	echo $used
 }
 
 #
@@ -102,14 +102,14 @@
 	vol_b_path=/dev/zvol/dsk/$TESTPOOL/$TESTVOL1
 	vol_r_path=/dev/zvol/rdsk/$TESTPOOL/$TESTVOL1
 
-	log_must $ZFS create -V $VOLSIZE -o copies=$copy $vol
-	log_must $ZFS set refreservation=none $vol
+	log_must zfs create -V $VOLSIZE -o copies=$copy $vol
+	log_must zfs set refreservation=none $vol
 	if [[ $type == "ufs" ]]; then
-		log_must $ECHO y | $NEWFS $vol_r_path >/dev/null 2>&1
-		log_must $MOUNT -F ufs -o rw $vol_b_path $mntp
+		log_must echo y | newfs $vol_r_path >/dev/null 2>&1
+		log_must mount -F ufs -o rw $vol_b_path $mntp
 	else
-		log_must $ZPOOL create $TESTPOOL1 $vol_b_path
-		log_must $ZFS create $TESTPOOL1/$TESTFS1
+		log_must zpool create $TESTPOOL1 $vol_b_path
+		log_must zfs create $TESTPOOL1/$TESTFS1
 	fi
 
 	((nfilesize = copy * ${FILESIZE%m}))
@@ -117,9 +117,9 @@
 	((target_size = pre_used + nfilesize))
 
 	if [[ $type == "ufs" ]]; then
-		log_must $MKFILE $FILESIZE $mntp/$FILE
+		log_must mkfile $FILESIZE $mntp/$FILE
 	else
-		log_must $MKFILE $FILESIZE /$TESTPOOL1/$TESTFS1/$FILE
+		log_must mkfile $FILESIZE /$TESTPOOL1/$TESTFS1/$FILE
 	fi
 
 	post_used=$(get_used_prop $vol)
@@ -135,10 +135,10 @@
 	fi
 
 	if [[ $type == "ufs" ]]; then
-		$UMOUNT $mntp
+		umount $mntp
 	else
-		log_must $ZPOOL destroy $TESTPOOL1
+		log_must zpool destroy $TESTPOOL1
 	fi
 
-	log_must $ZFS destroy $vol
+	log_must zfs destroy $vol
 }
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_001_pos.ksh	Wed Aug 31 16:20:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_001_pos.ksh	Wed Aug 31 16:20:31 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_copies/zfs_copies.kshlib
 
@@ -46,7 +50,7 @@
 
 	for ds in $fs1 $fs2 $vol1 $vol2; do
 		if datasetexists $ds; then
-			log_must $ZFS destroy $ds
+			log_must zfs destroy $ds
 		fi
 	done
 }
@@ -69,11 +73,11 @@
 done
 
 for val in 1 2 3; do
-	log_must $ZFS create -o copies=$val $fs1
+	log_must zfs create -o copies=$val $fs1
 	if is_global_zone; then
-		log_must $ZFS create -V $VOLSIZE -o copies=$val $vol1
+		log_must zfs create -V $VOLSIZE -o copies=$val $vol1
 	else
-		log_must $ZFS create -o copies=$val $vol1
+		log_must zfs create -o copies=$val $vol1
 	fi
 	for ds in $fs1 $vol1; do
 		cmp_prop $ds $val
@@ -80,20 +84,20 @@
 	done
 
 	for val2 in 3 2 1; do
-		log_must $ZFS create -o copies=$val2 $fs2
+		log_must zfs create -o copies=$val2 $fs2
 		if is_global_zone; then
-			log_must $ZFS create -V $VOLSIZE -o copies=$val2 $vol2
+			log_must zfs create -V $VOLSIZE -o copies=$val2 $vol2
 		else
-			log_must $ZFS create -o copies=$val2 $vol2
+			log_must zfs create -o copies=$val2 $vol2
 		fi
 		for ds in $fs2 $vol2; do
 			cmp_prop $ds $val2
-			log_must $ZFS destroy $ds
+			log_must zfs destroy $ds
 		done
 	done
 
 	for ds in $fs1 $vol1; do
-		log_must $ZFS destroy $ds
+		log_must zfs destroy $ds
 	done
 
 done
@@ -100,7 +104,7 @@
 
 for val in 3 2 1; do
 	for ds in $fs $vol; do
-		log_must $ZFS set copies=$val $ds
+		log_must zfs set copies=$val $ds
 		cmp_prop $ds $val
 	done
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_002_pos.ksh	Wed Aug 31 16:20:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_002_pos.ksh	Wed Aug 31 16:20:31 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_copies/zfs_copies.kshlib
 
@@ -47,7 +51,7 @@
 
 	for val in 1 2 3; do
 		if datasetexists $TESTPOOL/fs_$val; then
-			log_must $ZFS destroy $TESTPOOL/fs_$val
+			log_must zfs destroy $TESTPOOL/fs_$val
 		fi
 	done
 }
@@ -56,15 +60,15 @@
 log_onexit cleanup
 
 for val in 1 2 3; do
-	log_must $ZFS create -o copies=$val $TESTPOOL/fs_$val
+	log_must zfs create -o copies=$val $TESTPOOL/fs_$val
 
-	log_must $MKFILE $FILESIZE /$TESTPOOL/fs_$val/$FILE
+	log_must mkfile $FILESIZE /$TESTPOOL/fs_$val/$FILE
 done
 
 #
 # Sync up the filesystem
 #
-$SYNC
+sync
 
 #
 # Verify 'zfs list' can correctly list the space charged
@@ -78,7 +82,7 @@
 
 log_note "Verify 'ls -s' can correctly list the space charged."
 for val in 1 2 3; do
-	blks=`$LS -ls /$TESTPOOL/fs_$val/$FILE | $AWK '{print $1}'`
+	blks=`ls -ls /$TESTPOOL/fs_$val/$FILE | awk '{print $1}'`
 	(( used = blks * 512 / (1024 * 1024) ))
 	check_used $used $val
 done
@@ -85,14 +89,14 @@
 
 log_note "Verify df(1M) can corectly display the space charged."
 for val in 1 2 3; do
-	used=`$DF -F zfs -h /$TESTPOOL/fs_$val/$FILE | $GREP $TESTPOOL/fs_$val \
-		| $AWK '{print $3}'`
+	used=`df -F zfs -h /$TESTPOOL/fs_$val/$FILE | grep $TESTPOOL/fs_$val \
+		| awk '{print $3}'`
 	check_used $used $val
 done
 
 log_note "Verify du(1) can correctly display the space charged."
 for val in 1 2 3; do
-	used=`$DU -h /$TESTPOOL/fs_$val/$FILE | $AWK '{print $1}'`
+	used=`du -h /$TESTPOOL/fs_$val/$FILE | awk '{print $1}'`
 	check_used $used $val
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_003_pos.ksh	Wed Aug 31 16:20:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_003_pos.ksh	Wed Aug 31 16:20:31 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_copies/zfs_copies.kshlib
 
 #
@@ -48,7 +52,7 @@
 	fi
 
 	if datasetexists $vol; then
-		log_must $ZFS destroy $vol
+		log_must zfs destroy $vol
 	fi
 }
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_004_neg.ksh	Wed Aug 31 16:20:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_004_neg.ksh	Wed Aug 31 16:20:31 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_copies/zfs_copies.kshlib
 
@@ -44,10 +48,10 @@
 set -A badval 0 01 02 03 0 -1 -2 -3 10 20 30 4 5 6 blah
 
 for val in ${badval[@]}; do
-	log_mustnot $ZFS create -o copies=$val $TESTPOOL/$TESTFS1
-	log_mustnot $ZFS create -V $VOLSIZE -o copies=$val $TESTPOOL/$TESTVOL1
-	log_mustnot $ZFS set copies=$val $TESTPOOL/$TESTFS
-	log_mustnot $ZFS set copies=$val $TESTPOOL/$TESTVOL
+	log_mustnot zfs create -o copies=$val $TESTPOOL/$TESTFS1
+	log_mustnot zfs create -V $VOLSIZE -o copies=$val $TESTPOOL/$TESTVOL1
+	log_mustnot zfs set copies=$val $TESTPOOL/$TESTFS
+	log_mustnot zfs set copies=$val $TESTPOOL/$TESTVOL
 done
 
 log_pass "The copies property cannot be set to any value other than 1,2 or 3 as expected"
